{Const
  RComdataType : TStreamRec = (
    ObjType : 2000;
    VmtLink : Ofs(TypeOf(ComDataType)^);
    Load    : @ComDataType.Load;
    Store   : @ComDataType.Store
  );}

Type MsaDataPtr = ^MsaDataType;
 MsaDataType = Object(tSpecialObject)
    Constructor Load(var S : TStream);
    Procedure Store(var S : TStream); virtual;
 End;
{Const
  RMsadataType : TStreamRec = (
    ObjType : 2003;
    VmtLink : Ofs(TypeOf(MsaDataType)^);
    Load    : @MsaDataType.Load;
    Store   : @MsaDataType.Store
  );}

Type CmDataPtr = ^CmDataType;
   CmDataType  = Object(tSpecialObject)
    Fcm1,Fcm2:real;
    Constructor Load(var S : TStream);
    Procedure Store(var S : TStream); virtual;
   End;
{Const
  RCmdataType : TStreamRec = (
    ObjType : 2001;
    VmtLink : Ofs(TypeOf(CmDataType)^);
    Load    : @CmDataType.Load;
    Store   : @CmDataType.Store
  );}
 {-------Для переходных процессов---------------}
 {----------------------------------------------}
Type TurDataPtr = ^TurDataType;
   TurDataType  = Object(tSpecialObject)
    Pit_:real;
    F_t:real;
    Fca:real;
    Constructor Load(var S : TStream);
    Procedure Store(var S : TStream); virtual;
   End;
{Const
  RTurdataType : TStreamRec = (
    ObjType : 2005;
    VmtLink : Ofs(TypeOf(TurDataType)^);
    Load    : @TurDataType.Load;
    Store   : @TurDataType.Store
  );}
  {---------------------------------------------}
Type BXODDataPtr = ^BXODDataType;
   BXODDataType  = Object(tSpecialObject)
    F2:real;
    Constructor Load(var S : TStream);
    Procedure Store(var S : TStream); virtual;
   End;
{Const
  RBXODdataType : TStreamRec = (
    ObjType : 2100;
    VmtLink : Ofs(TypeOf(BXODDataType)^);
    Load    : @BXODDataType.Load;
    Store   : @BXODDataType.Store
  );}
  {---------------------------------------------}
Type KCDataPtr = ^KCDataType;
   KCDataType  = Object(tSpecialObject)
    F2:real;
    F1:real;
    Constructor Load(var S : TStream);
    Procedure Store(var S : TStream); virtual;
   End;
{Const
  RKCdataType : TStreamRec = (
    ObjType : 2110;
    VmtLink : Ofs(TypeOf(KCDataType)^);
    Load    : @KCDataType.Load;
    Store   : @KCDataType.Store
  );}
  {---------------------------------------------}
Type PrmDataPtr = ^PrmDataType;
   PrmDataType  = Object(tSpecialObject)
    Tau_s:real;
    Constructor Load(var S : TStream);
    Procedure Store(var S : TStream); virtual;
   End;
{Const
  RPrmdataType : TStreamRec = (
    ObjType : 2006;
    VmtLink : Ofs(TypeOf(PRMDataType)^);
    Load    : @PRMDataType.Load;
    Store   : @PRMDataType.Store
  );}
  {---------------------------------------------}


